<%@ taglib uri='console_extension_taglib.jar' prefix='wl' %>
<%@ page import="gov.va.med.vistalink.management.ConsoleHelper,
gov.va.med.vistalink.adapter.spi.ConnectorInfoVO,
java.net.URLEncoder" %>
 
<%
        response.setContentType(ConsoleHelper.RESPONSE_CONTENT_TYPE);
		response.setHeader("Cache-Control","no-store, no-cache, must-revalidate"); //HTTP 1.1
		response.setHeader("Pragma","no-cache"); //HTTP 1.0
		response.setDateHeader ("Expires", 0); //prevents caching at the proxy server
%>

<html>
	<head>
		<title>VistaLink Connector Detail</title>
		<wl:stylesheet/> 
	</head>
<head>
<body>

	<%
		String serverName = (String) request.getParameter("server");
		String mbeanName = (String) request.getParameter("mbeanName");
		StringBuffer url = request.getRequestURL();
		String adapterBaseRef = "(none)";
		String wlsAppName = null;
		String deployedJndiName = null;
		String connectionFactoryName = null;
		boolean deployed = false;
		String poolName = null;
		url.append("?server=");
		url.append(URLEncoder.encode(serverName, ConsoleHelper.ENCODE_FORMAT));
		url.append("&mbeanName=");
		url.append(URLEncoder.encode(mbeanName, ConsoleHelper.ENCODE_FORMAT));
		String urlString = url.toString();
	%>

		<wl:standard-banner
		homeUrl='/console/actions/common/HomeButtonAction'
		helpUrl='ConnectorDetail-help.html'
		refreshUrl='<%= urlString %>'
		newWindowUrl='<%= urlString %>'>
			VistaLink
		</wl:standard-banner>

		<%		
		ConnectorInfoVO cd = null;
		String connMBeanMessages = "";
		try { 
		  	cd = ConsoleHelper.getConnectorDetail(serverName, mbeanName);
		  	if (null != cd.getWlsResourceAdapterLinkRef()) {
		  		adapterBaseRef = cd.getWlsResourceAdapterLinkRef();
		  	}
	  	} catch (Exception e) {
	  		connMBeanMessages = e.toString();
	  	}
	  	%>
		<div class='content'>
			
			<h2>VistaLink: <%=serverName%>: <%= (cd == null) ? "null" : cd.getWlsApplicationName() %></h2>
			<p><a href="VistaLinkDisplay.jsp?server=<%=URLEncoder.encode(serverName)%>"><b>Deployed Connector List</b></a></p>

		<% if (connMBeanMessages.length()>0) { %>
			<p style="font-size: .8em;"><%=connMBeanMessages%></p>
		<% } %>
		
		<% if (cd != null) { %>

			<table border="0" style="font-size: .8em;">
			
				<tr><td valign="top" align="right" nowrap="nowrap"><u><b>J2EE Connector Configuration:</b></u></td><td>&nbsp;</td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">WLS App Name:</td><td><%=cd.getWlsApplicationName()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Deployment State:</td><td><%=cd.getWlsDeploymentStateString()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">EIS Type:</td><td><%=cd.getWlsEisType()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Connection Factory Name:</td><td><%= cd.getWlsConnectionFactoryName()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Adapter Link Ref:</td><td><%=adapterBaseRef%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Deployed JNDI Name:</td><td><%= cd.getWlsJndiActual() %></td></tr>

				<tr><td valign="top" align="right" nowrap="nowrap"><u><b>VistaLink Configuration File Settings:</b></u></td><td>&nbsp;</td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">jndiName:</td><td><%=cd.getCfgJndiName()%></td></tr>
				<% if (ConsoleHelper.isJndiMismatch(cd.getWlsJndiActual(), cd.getCfgJndiName())) { %>
					<tr><td>&nbsp;</td><td><b>WARNING: DEPLOYED JNDI NAME DOES NOT MATCH CONFIGURATION FILE JNDI NAME!</b></td></tr>
				<% } %>
				<tr><td valign="top" align="right" nowrap="nowrap">M listener IP Address:</td><td><%=cd.getCfgIpAddress()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">M listener Port:</td><td><%=cd.getCfgPort()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Default J2EE Socket Timeout:</td><td>'<%=cd.getCfgTimeout()%>' seconds; &nbsp;&nbsp;Always use as Minimum?: <%=cd.isCfgTimeoutAlwaysUseDefaultAsMin()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap" valign="top">Institution Mapping(s) - live:</td><td>
					<%
					if ((cd.getWlsJndiActual()==null) || (cd.getWlsJndiActual().length() < 1)) {
					%>
						Deployed JNDI name not yet available to look up mappings against.
					
					<%
					} else if ((cd.getWlsJndiActual().length()>0) && (cd.getCfgStationNumbers() == null)) {
					%>
						No institution mappings found.
					<%
					} else {
					%>
						<table border="0" cellpadding="0" cellspacing="0" style="font-size: 1.0em;">
						<%
						for (int i=0; i<cd.getCfgStationNumbers().length; i++) {
						%>
							<tr><td><%=cd.getCfgStationNumbers()[i]%></td></tr>
						<%
						}
						%>
						</table>
					<%
					}
					%>
				</td></tr>

				<tr><td valign="top" align="right" nowrap="nowrap"><u><b>Health Monitoring:</b></u></td><td>&nbsp;</td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Connection Failure Count:</td><td><%=cd.getHlthConnectionFailureCount()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Connection Authentication Failure Count:</td><td><%=cd.getHlthConnectionAuthFailureCount()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Production Mismatch Failure Count:</td><td><%=cd.getHlthProductionMismatchCount()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Division Mismatch Count:</td><td><%=cd.getHlthDivisionMismatchCount()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Identity Failure Count:</td><td><%=cd.getHlthIdentityFailureCount()%></td></tr>

				<tr><td valign="top" align="right" nowrap="nowrap"><u><b>Performance Monitoring:</b></u></td><td>&nbsp;</td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Create Connection Handle Avg (ms):</td><td><%=cd.getPerfCreateConnectionHandleAvgMillis()%></td></tr>
				<tr><td valign="top" align="right" nowrap="nowrap">Match Managed Connection Avg (ms):</td><td><%=cd.getPerfMatchManagedConnectionAvgMillis()%></td></tr>

				<tr><td valign="top" align="right" nowrap="nowrap"><u><b>Live VistALink M/VistA Server Query:</b></u></td>
				<% 
				if ((cd.getMSystemInfo() != null) && (cd.getMSystemInfo().getErrorMessage() == null)) {
				%>
				    <td>&nbsp;</td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote VL Version:</td><td><%= cd.getMSystemInfo().getVistalinkVersion()%></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote VL Build:</td><td><%= cd.getMSystemInfo().getVistalinkBuild()%></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote VL Listener Timeout:</td><td><%= cd.getMSystemInfo().getAppServerTimeout()%></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote VL Reauthenticated Session Timeout:</td><td><%= cd.getMSystemInfo().getReAuthSessionTimeout()%></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote VL Connector Proxy Username:</td><td><%= cd.getMSystemInfo().getCpName() %></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote UCI:</td><td><%= cd.getMSystemInfo().getUci()%></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote VOL:</td><td><%= cd.getMSystemInfo().getVol()%></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote BOX-VOLUME:</td><td><%= cd.getMSystemInfo().getBoxVolume()%></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote M Version:</td><td><%= cd.getMSystemInfo().getMVersion()%></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote Operating System:</td><td><%= cd.getMSystemInfo().getOperatingSystem()%></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote Domain:</td><td><%= cd.getMSystemInfo().getDomainName()%></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote is Production?:</td><td><%= cd.getMSystemInfo().getVistaProduction() %></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Remote Kernel Default Institution:</td><td><%= cd.getMSystemInfo().getDefaultInstitution() %></td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap">Introductory Text:</td><td><TEXTAREA NAME="introText" WRAP=OFF COLS=80 ROWS=15><%= ConsoleHelper.replaceBrWithLineBreak(cd.getMSystemInfo().getIntroText()) %></TEXTAREA></td></tr>
				<%
				} else {
				%>
					<td valign="top" align="left"><b>M system information could not be retrieved<%= cd.getMSystemInfo() != null ? ":</b> <p>" + cd.getMSystemInfo().getErrorMessage() + "</p>" : ".</b>" %></p></td></tr>
				<%
				}
				%>
					<tr><td valign="top" align="right" nowrap="nowrap" colspan=2>&nbsp;</td></tr>
					<tr><td valign="top" align="right" nowrap="nowrap"><a href="VistaLinkDisplay.jsp?server=<%=URLEncoder.encode(serverName)%>"><b>Deployed Connector List</b></a></td><td>&nbsp;</td></tr>
			</table>
	
		<% } %>
		<br>
		<hr style="height: 1px; width: 98%; text-align: left;" />
		<span style="font-size: .8em; text-align: left">Page rendered: <%= ConsoleHelper.getTimeStringNow() %></span>
		<p>&nbsp;</p>

</body>
</html>