<%@ page import="gov.va.med.vistalink.management.ConsoleHelper,
gov.va.med.vistalink.adapter.spi.ConnectorInfoVO,
gov.va.med.vistalink.management.VistaLinkMBeanNotFoundException,
java.util.Map,
java.util.Set,
java.util.Iterator,
java.net.URLEncoder" %>

<%
        response.setContentType(ConsoleHelper.RESPONSE_CONTENT_TYPE);
		response.setHeader("Cache-Control","no-store, no-cache, must-revalidate"); //HTTP 1.1
		response.setHeader("Pragma","no-cache"); //HTTP 1.0
		response.setDateHeader ("Expires", 0); //prevents caching at the proxy server
%>

<html>
<head>
<title>Deployed Connectors</title>
</head>
<body>

	<%
		String serverName = (String) request.getParameter("server");
		Map connectors = null;
		String connMBeanMessages = "";
		try {
		  	connectors = ConsoleHelper.getConnectorList(serverName);
	  	} catch (VistaLinkMBeanNotFoundException e) {
			connMBeanMessages = "Could not find VistaLinkRuntimeInfo MBean. This usually means that no VistaLink connectors have been deployed on the server yet, or that MBean implementations have not been written for the server type specified in system property gov.va.med.environment.servertype.";
	  	} catch (Exception e) {
	  		connMBeanMessages = "Error retrieving connector list: " + e.getMessage();
	  	}
	%>
	
	<% if (connMBeanMessages.length()>0) { %>
		<p style="font-size: .8em;"><%= connMBeanMessages %></p>
	<% } %>	

	<table border="0" cellspacing="3" cellpadding="3" style="font-size: .8em;">
		<tr>
			<td valign="bottom" align="left" rowspan="2" style="border-bottom: 1px solid black"><b>WLS App Name&nbsp;&nbsp;</b></td>
			<td valign="bottom" align="left" rowspan="2" style="border-bottom: 1px solid black"><b>Deployed JNDI Name&nbsp;&nbsp;</b></td>
			<td valign="bottom" align="left" rowspan="2" style="border-bottom: 1px solid black"><b>EisType&nbsp;&nbsp;</b></td>
			<td valign="bottom" align="center" colspan="6"><i>Health Indicators/Failure Counts</i></td>
			<td valign="bottom" align="left" rowspan="2" style="border-bottom: 1px solid black"><b>M System Info</b></td>
			<td valign="bottom" align="left" rowspan="2" style="border-bottom: 1px solid black"><b>Deployment State</b></td>
		</tr>
		<tr>
			<td valign="bottom" align="center" style="border-bottom: 1px solid black;">JNDI<br>Mismatch?</td>
			<td valign="bottom" align="center" style="border-bottom: 1px solid black;">Conn<br>Socket</td>
			<td valign="bottom" align="center" style="border-bottom: 1px solid black;">Conn<br>Auth</td>
			<td valign="bottom" align="center" style="border-bottom: 1px solid black;">Prod<br>Mismatch</td>
			<td valign="bottom" align="center" style="border-bottom: 1px solid black;">Div<br>Mismatch</td>
			<td valign="bottom" align="center" style="border-bottom: 1px solid black;">Re-Auth</td>
		</tr>
		<%
		if (connectors != null) {
			Set keySet = connectors.keySet();
			for (Iterator iter = keySet.iterator(); iter.hasNext();) {
				String mbeanCanonicalName = (String) iter.next();
				ConnectorInfoVO cs = (ConnectorInfoVO) connectors.get(mbeanCanonicalName);
				String deploymentState = cs.getWlsDeploymentStateString();
				String eisType = cs.getWlsEisType();
				String jndiName = cs.getWlsJndiActual();
				String cfgJndiName = cs.getCfgJndiName();
				String ipAndPort = cs.getCfgIpAddress() + "/" + cs.getCfgPort();
				String cellJndi = null;
				String cellM = null;
				String cellJndiMismatch = "";
				String mbeanNameEncoded = URLEncoder.encode(mbeanCanonicalName, ConsoleHelper.ENCODE_FORMAT);
				String cellAppName = "<a href=ConnectorDetail.jsp?server=" + URLEncoder.encode(serverName, ConsoleHelper.ENCODE_FORMAT) + "&mbeanName=" + mbeanNameEncoded+ ">" + cs.getWlsApplicationName() + "</a>";

				// no error
				cellM = ipAndPort;
				// if "actual" deployment JNDI name is null -- couldn't retrieve application config
				// MBEAN matching the ConnectorComponentRuntimeMBean
				if ((jndiName == null) || ("".equals(jndiName))) {
					cellJndi = "tbd";
					cellJndiMismatch="tbd";
				} else {
					cellJndi = cs.getWlsJndiActual();
					if (ConsoleHelper.isJndiMismatch(jndiName, cfgJndiName)) {
						cellJndiMismatch="MISMATCH!";
					}
				}
				%>
				<tr>
					<td align="left"><%=cellAppName%></td>
					<td align="left"><%=cellJndi%></td>
					<td align="left"><%=eisType%></td>
					<td align="center"><%=cellJndiMismatch%></td>
					<td align="center"><%=cs.getHlthConnectionFailureCount()%></td>
					<td align="center"><%=cs.getHlthConnectionAuthFailureCount()%></td>
					<td align="center"><%= cs.getHlthProductionMismatchCount()%></td>
					<td align="center"><%=cs.getHlthDivisionMismatchCount()%></td>
					<td align="center"><%=cs.getHlthIdentityFailureCount()%></td>
					<td align="left"><%=cellM%></td>
					<td align="left"><%=deploymentState%></td>
				</tr>
				<%
			}
		}
		%>
	</table>
</body>
</html>