package gov.va.med.vistalink.management;

/**
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */
public class ConnectorConfiguratorConstants{
  //public static String PROPERTY_PRODUCTION = "vista_config_ProductionEnabled";
  public static ConfigConstantItem PROPERTY_PSN = new ConfigConstantItem( "vista_config_PSN", 
                                                                          "Primary Station Number",
                                                                          "The number of a primary station, configured for this connector.",
                                                                          true );
  public static ConfigConstantItem PROPERTY_ISENABLED = new ConfigConstantItem( "vista_config_ListenerEnabled",
                                                                                "Enabled",
                                                                                "Specifies whether this connector is enabled.",
                                                                                false );
  public static ConfigConstantItem PROPERTY_IP = new ConfigConstantItem( "vista_config_ListenAddress",
                                                                         "VistALink M Listener's IP", 
                                                                         "The IP address or DNS name of the M/VistA server that this connector will use to establish connectivity with the VistALink listener, residing on that M/VistA server.",
                                                                         true );
  public static ConfigConstantItem PROPERTY_PORT = new ConfigConstantItem( "vista_config_ListenPort", 
                                                                           "VistALink M Listener's Port", 
                                                                           "The port assignment of the M/VistA server that this connector will use to establish connectivity with the VistALink listener, residing on that M/VistA server.",
                                                                           true );
  public static ConfigConstantItem PROPERTY_ACCESSCODE = new ConfigConstantItem( "vista_config_AccessCode", 
                                                                                 "Access Code", 
                                                                                 "Access Code key", 
                                                                                 true );
  public static ConfigConstantItem PROPERTY_VERIFYCODE = new ConfigConstantItem( "vista_config_VerifyCode", 
                                                                                 "Verify Code", 
                                                                                 "Verify Code key",
                                                                                 true ); 
  public static ConfigConstantItem PROPERTY_TIMESTAMP = new ConfigConstantItem( "vista_config_TimeStamp", 
                                                                                "Last saved", 
                                                                                "The timestamp of the last save operation, performed on this connector.",
                                                                                false );
  public static ConfigConstantItem PROPERTY_ISTIMEOUT = new ConfigConstantItem( "vista_config_DefaultTimeoutEnabled", 
                                                                                "Use the Default Timeout value",
                                                                                "If checked, the Default Timeout will be the lowest timeout value allowed for this connector. The Default Timeout will also override any programmatically specified lower value set by an application.",
                                                                                false );
  public static ConfigConstantItem PROPERTY_TIMEOUT = new ConfigConstantItem( "vista_config_Timeout", 
                                                                              "Default Timeout",
                                                                              "Span of time in seconds, after which connection is automatically terminated.",
                                                                              false );  
  public static ConfigConstantItem PROPERTY_NODENAME= new ConfigConstantItem( "vista_config_NodeName", 
                                                                              "Connector JNDI Name", 
                                                                              "The name of the connector for this server.",
                                                                              false );

  public static String BOOLEAN_PROPERTY_PREFIX = "placeholder_";
  public static String LABEL_SUFFIX = "_label";
  public static String HELP_SUFFIX = "_help";
  
  public static String GENERIC_WARNING = "Changes to this attribute will take effect upon next server restart.";
  
  public static String getLabelName(String controlName){
    return controlName + LABEL_SUFFIX;
  }
  
  public static String getHelpName(String controlName){
    return controlName + HELP_SUFFIX;
  }
  
  public static String getPlaceholderName(String controlName){
    return BOOLEAN_PROPERTY_PREFIX + controlName; 
  }
}
