package gov.va.med.vistalink.management;

import gov.va.med.exception.FoundationsException;

/**
 * Thrown when the MBeanHome for a given server is not found. Typically this would be because the
 * server has not been started.
 * 
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */
public class MBeanHomeNotFoundException extends FoundationsException {

	/**
	 * Constructor for VistaKernelHashCountLimitExceededException.
	 */
	public MBeanHomeNotFoundException() {
		super();
	}

	/**
	 * Constructor for VistaKernelHashCountLimitExceededException.
	 * 
	 * @param msg
	 *            error message
	 */
	public MBeanHomeNotFoundException(String msg) {
		super(msg);
	}

	/**
	 * Constructor for VistaKernelHashCountLimitExceededException.
	 * 
	 * @param nestedException
	 *            an exception to nest
	 */
	public MBeanHomeNotFoundException(Exception nestedException) {
		super(nestedException);
	}

	/**
	 * Constructor for VistaKernelHashCountLimitExceededException.
	 * 
	 * @param msg
	 *            error message
	 * @param nestedException
	 *            an exception to nest
	 */
	public MBeanHomeNotFoundException(String msg, Exception nestedException) {
		super(msg, nestedException);
	}

}