package gov.va.med.vistalink.management;

import gov.va.med.exception.FoundationsException;

/**
 * Thrown when a VistaLink MBean needed to execute methods on a given server, is not found on that server. Typically
 * this would be because there are no VistaLink connectors deployed on the server.
 * 
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */
public class VistaLinkMBeanNotFoundException extends FoundationsException {

	/**
	 * Constructor
	 */
	public VistaLinkMBeanNotFoundException() {
		super();
	}

	/**
	 * Constructor
	 * 
	 * @param msg error message
	 */
	public VistaLinkMBeanNotFoundException(String msg) {
		super(msg);
	}

	/**
	 * Constructor
	 * 
	 * @param nestedException an exception to nest
	 */
	public VistaLinkMBeanNotFoundException(Exception nestedException) {
		super(nestedException);
	}

	/**
	 * Constructor
	 * 
	 * @param msg error message
	 * @param nestedException an exception to nest
	 */
	public VistaLinkMBeanNotFoundException(String msg, Exception nestedException) {
		super(msg, nestedException);
	}

}