package gov.va.med.vistalink.management;

import org.apache.log4j.Logger;

import weblogic.management.configuration.*;
import weblogic.management.console.extensibility.Extension;
import weblogic.management.console.extensibility.NavTreeExtension;

/**
 * WebLogic-specific console navigation tree generator.
 * 
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */
final public class WebLogicConsoleNavTreeExtension extends Extension implements NavTreeExtension {

	private static final Logger logger = Logger.getLogger(WebLogicConsoleNavTreeExtension.class);

	/**
	 * A public constructor without arguments is required.
	 */
	public WebLogicConsoleNavTreeExtension() {
	}

	// ========================================================================
	// NavTreeExtension implementation

	public String getNavExtensionFor(Object key) {

		if (key instanceof DomainMBean) {
			return "VistaLinkConsoleNavTree.jsp";
		}
		return null;
	}

	// ========================================================================
	// Optional Extension methods

	/**
	 * You can use this method to perform any initialization required by your
	 * console extension. This method only prints a message.
	 */
	public void initialize() {
		logger.debug("==\n== VistaLinkConsoleNavTreeExtension has been initialized.\n==");
	}
}