/*
 * Created on Apr 11, 2005
 *
 */
package gov.va.med.crypto;

import java.util.Hashtable;

/**
 * Access wrapper class, used to hold singleton instances of VistALinkEncrypter implementations.
 * 
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */

public class EncrypterRegistry{
  static private Hashtable _reg = new Hashtable();
  
  static{
     DESKeyEncrypter dke = new DESKeyEncrypter();
    _reg.put(dke.getClass(), dke);
    DESPassPhraseEncrypter dppe = new DESPassPhraseEncrypter();
    _reg.put(dppe.getClass(), dppe);
  }
  
  private EncrypterRegistry(){
    //...
  }
  
  static public VistaLinkEncrypter getInstance(Class c) {
    return (VistaLinkEncrypter)(_reg.get(c));
 }
  
}
