package gov.va.med.vistalink.adapter.cci;

import gov.va.med.vistalink.adapter.spi.VistaLinkManagedConnectionFactory;

import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.apache.log4j.Logger;

/**
 * 
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */
public class JndiVerificationStrategyWeblogic81 implements JndiVerificationStrategy {

	private static final Logger logger = Logger.getLogger(JndiVerificationStrategyWeblogic81.class);

	/*
	 * (non-Javadoc)
	 * @see gov.va.med.vistalink.adapter.cci.JndiVerificationStrategy#checkJndiMismatch(gov.va.med.vistalink.adapter.cci.VistaLinkConnectionFactory)
	 */
	public boolean checkJndiMismatch(VistaLinkManagedConnectionFactory mcf, VistaLinkConnectionFactory cf) {

		boolean returnVal = false;
		VistaLinkConnectionFactory retrievedCf = null;
		try {
			InitialContext ctx = new InitialContext();
			String cfgJndiName = mcf.getConnectorJndiName();
			retrievedCf = (VistaLinkConnectionFactory) ctx.lookup(cfgJndiName);
			logger.debug("completed CF lookup.");
			if (mcf == null) {
				logger.debug("But ManagedConnectionFactory is null.");
			} else {
				returnVal = (cf == retrievedCf);
				logger.debug("CF retrieved under JNDI name '" + cfgJndiName + "' is "
						+ ((returnVal ? "equal" : "not equal")) + " to MCF's stored CF, for connectorJndiName: "
						+ mcf.getConnectorJndiName());
			}
		} catch (NamingException e) {
			logger.error(e);
		}
		logger.debug("Returning '" + returnVal + "' from JndiVerificationStrategyWeblogic81.");
		return returnVal;

	}
}