package gov.va.med.vistalink.adapter.spi;

import java.io.Serializable;

/**
 * JavaBean for connector detail for a single connector.
 * 
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */
public class ConnectorInfoVO implements Serializable {

	// "Summary" fields
	private String wlsApplicationName;
	private String wlsJndiActual;
	private String wlsEisType;
	private String wlsDeploymentStateString;
	private int wlsDeploymentState;

	private String cfgIpAddress;
	private int cfgPort;
	private String cfgJndiName;
	private int cfgTimeout;
	private boolean cfgTimeoutAlwaysUseDefaultAsMin;
	
	private long hlthConnectionFailureCount;
	private long hlthConnectionAuthFailureCount;
	private long hlthDivisionMismatchCount;
	private long hlthIdentityFailureCount;
	private long hlthProductionMismatchCount;
	
	// "Detail" Fields
	private String[] cfgStationNumbers;

	private double perfCreateConnectionHandleAvgMillis;
	private double perfMatchManagedConnectionAvgMillis;

	private long vljDistinguishedIdentifier;

	private VistaLinkSystemInfoVO mSystemInfo;

	private String wlsConnectionFactoryName;
	private String wlsResourceAdapterLinkRef;

	/**
	 * 
	 * @param wlsJndiActual the confirmed, server-deploymed JNDI name
	 */
	public void setWlsJndiActual(String wlsJndiActual) {
		this.wlsJndiActual = wlsJndiActual;
	}

	/**
	 * 
	 * @return the server-deployment JNDI name
	 */
	public String getWlsJndiActual() {
		return this.wlsJndiActual;
	}

	/**
	 * @param vljIpAddress IP address of the M listener
	 */
	public void setCfgIpAddress(String vljIpAddress) {
		this.cfgIpAddress = vljIpAddress;
	}

	/**
	 * 
	 * @return IP address of the M listener
	 */
	public String getCfgIpAddress() {
		return this.cfgIpAddress;
	}

	/**
	 * 
	 * @param vljPort Port of the M listener
	 */
	public void setCfgPort(int vljPort) {
		this.cfgPort = vljPort;
	}

	/**
	 * 
	 * @return Port of the M listener
	 */
	public int getCfgPort() {
		return this.cfgPort;
	}

	/**
	 * 
	 * @param vljJndiConfig JNDI name configured in the VistaLink connectorJndiName property of ra.xml.
	 */
	public void setCfgJndiName(String vljJndiConfig) {
		this.cfgJndiName = vljJndiConfig;
	}

	/**
	 * 
	 * @return JNDI name configured in the VistaLink connectorJndiName property of ra.xml.
	 */
	public String getCfgJndiName() {
		return this.cfgJndiName;
	}

	/**
	 * 
	 * @param healthConnectionFailureCount The number of socket connection errors for the connector
	 */
	public void setHlthConnectionFailureCount(long healthConnectionFailureCount) {
		this.hlthConnectionFailureCount = healthConnectionFailureCount;
	}

	/**
	 * 
	 * @return the number of socket connection errors for the connector
	 */
	public long getHlthConnectionFailureCount() {
		return this.hlthConnectionFailureCount;
	}

	/**
	 * 
	 * @param healthConnectionAuthFailureCount The number of connection user authentication failures for the connector.
	 */
	public void setHlthConnectionAuthFailureCount(long healthConnectionAuthFailureCount) {
		this.hlthConnectionAuthFailureCount = healthConnectionAuthFailureCount;
	}

	/**
	 * @return The number of connection user authentication failures for the connector.
	 */
	public long getHlthConnectionAuthFailureCount() {
		return hlthConnectionAuthFailureCount;
	}

	/**
	 * 
	 * @param healthDivisionMismatchCount The number of re-authentication division mismatches for the connector.
	 */
	public void setHlthDivisionMismatchCount(long healthDivisionMismatchCount) {
		this.hlthDivisionMismatchCount = healthDivisionMismatchCount;
	}

	/**
	 * 
	 * @return The number of re-authentication division mismatches for the connector.
	 */
	public long getHlthDivisionMismatchCount() {
		return this.hlthDivisionMismatchCount;
	}

	/**
	 * 
	 * @param healthIdentityFailureCount The number of reauthentication identification failures for the connector.
	 */
	public void setHlthIdentityFailureCount(long healthIdentityFailureCount) {
		this.hlthIdentityFailureCount = healthIdentityFailureCount;
	}

	/**
	 * 
	 * @return The number of reauthentication identification failures for the connector.
	 */
	public long getHlthIdentityFailureCount() {
		return this.hlthIdentityFailureCount;
	}

	/**
	 * @return Returns the number of production/test mismatches for this connector.
	 */
	public long getHlthProductionMismatchCount() {
		return hlthProductionMismatchCount;
	}
	/**
	 * @param hlthProductionMismatchCount The number of production/test mismatches for this connector.
	 */
	public void setHlthProductionMismatchCount(long hlthProductionMismatchCount) {
		this.hlthProductionMismatchCount = hlthProductionMismatchCount;
	}

	/**
	 * @return Returns the WLS application name for the connector.
	 */
	public String getWlsApplicationName() {
		return wlsApplicationName;
	}
	/**
	 * @param wlsApplicationName The WLS application name for the connector.
	 */
	public void setWlsApplicationName(String wlsApplicationName) {
		this.wlsApplicationName = wlsApplicationName;
	}

	/**
	 * @return Returns the WLS Deployment State for the connector.
	 */
	public int getWlsDeploymentState() {
		return wlsDeploymentState;
	}
	/**
	 * @param wlsDeploymentState The WLS Deployment State for the connector.
	 */
	public void setWlsDeploymentState(int wlsDeploymentState) {
		this.wlsDeploymentState = wlsDeploymentState;
	}
	/**
	 * @return Returns the string representation of the WLS Deployment State for the connector.
	 */
	public String getWlsDeploymentStateString() {
		return wlsDeploymentStateString;
	}
	/**
	 * @param wlsDeploymentStateString The string representation of the WLS Deployment State for the connector.
	 */
	public void setWlsDeploymentStateString(String wlsDeploymentStateString) {
		this.wlsDeploymentStateString = wlsDeploymentStateString;
	}
	/**
	 * @return Returns the EisType setting for the connector.
	 */
	public String getWlsEisType() {
		return wlsEisType;
	}
	/**
	 * @param wlsEisType The EisType setting for the connector.
	 */
	public void setWlsEisType(String wlsEisType) {
		this.wlsEisType = wlsEisType;
	}


	/**
	 * @return Returns the array of mapped station numbers for the connector.
	 */
	public String[] getCfgStationNumbers() {
		return cfgStationNumbers;
	}
	/**
	 * @param cfgStationNumbers The array of mapped station numbers for the connector.
	 */
	public void setCfgStationNumbers(String[] cfgStationNumbers) {
		this.cfgStationNumbers = cfgStationNumbers;
	}
	/**
	 * @return Returns the mSystemInfo object retrieved using the connector.
	 */
	public VistaLinkSystemInfoVO getMSystemInfo() {
		return mSystemInfo;
	}
	/**
	 * @param systemInfo The mSystemInfo object retrieved using the connector.
	 */
	public void setMSystemInfo(VistaLinkSystemInfoVO systemInfo) {
		mSystemInfo = systemInfo;
	}
	/**
	 * @return Returns the average CreateConnectionHandle time, in milliseconds.
	 */
	public double getPerfCreateConnectionHandleAvgMillis() {
		return perfCreateConnectionHandleAvgMillis;
	}
	/**
	 * @param perfCreateConnectionHandleAvgMillis The average CreateConnectionHandle time, in milliseconds.
	 */
	public void setPerfCreateConnectionHandleAvgMillis(double perfCreateConnectionHandleAvgMillis) {
		this.perfCreateConnectionHandleAvgMillis = perfCreateConnectionHandleAvgMillis;
	}
	/**
	 * @return Returns the average MatchManagedConnection time, in milliseconds.
	 */
	public double getPerfMatchManagedConnectionAvgMillis() {
		return perfMatchManagedConnectionAvgMillis;
	}
	/**
	 * @param perfMatchManagedConnectionAvgMillis The average MatchManagedConnection time, in milliseconds.
	 */
	public void setPerfMatchManagedConnectionAvgMillis(double perfMatchManagedConnectionAvgMillis) {
		this.perfMatchManagedConnectionAvgMillis = perfMatchManagedConnectionAvgMillis;
	}
	/**
	 * @return Returns the VistaLink distinguished identifier of the connector.
	 */
	public long getVljDistinguishedIdentifier() {
		return vljDistinguishedIdentifier;
	}
	/**
	 * @param vljDistinguishedIdentifier The VistaLink distinguished identifier of the connector.
	 */
	public void setVljDistinguishedIdentifier(long vljDistinguishedIdentifier) {
		this.vljDistinguishedIdentifier = vljDistinguishedIdentifier;
	}
	/**
	 * @return Returns the WLS ConnectionFactory name.
	 */
	public String getWlsConnectionFactoryName() {
		return wlsConnectionFactoryName;
	}
	/**
	 * @param wlsConnectionFactoryName The WLS ConnectionFactory name.
	 */
	public void setWlsConnectionFactoryName(String wlsConnectionFactoryName) {
		this.wlsConnectionFactoryName = wlsConnectionFactoryName;
	}
	/**
	 * @return Returns the WLS RALinkRef for the connector.
	 */
	public String getWlsResourceAdapterLinkRef() {
		return wlsResourceAdapterLinkRef;
	}
	/**
	 * @param wlsResourceAdapterLinkRef The WLS RALinkRef for the connector
	 */
	public void setWlsResourceAdapterLinkRef(String wlsResourceAdapterLinkRef) {
		this.wlsResourceAdapterLinkRef = wlsResourceAdapterLinkRef;
	}

	/**
	 * @return Returns the cfgTimeout.
	 */
	public int getCfgTimeout() {
		return cfgTimeout;
	}
	/**
	 * @param cfgTimeout The cfgTimeout to set.
	 */
	public void setCfgTimeout(int timeout) {
		this.cfgTimeout = timeout;
	}
	/**
	 * @return Returns the cfgTimeoutAlwaysUseDefaultAsMin.
	 */
	public boolean isCfgTimeoutAlwaysUseDefaultAsMin() {
		return cfgTimeoutAlwaysUseDefaultAsMin;
	}
	/**
	 * @param cfgTimeoutAlwaysUseDefaultAsMin The cfgTimeoutAlwaysUseDefaultAsMin to set.
	 */
	public void setCfgTimeoutAlwaysUseDefaultAsMin(boolean timeoutAlwaysUseDefaultAsMin) {
		this.cfgTimeoutAlwaysUseDefaultAsMin = timeoutAlwaysUseDefaultAsMin;
	}
	/**
	 * Human-friendly toString output
	 */
	public String toString() {
		
		StringBuffer sb = new StringBuffer("Deployed JNDI name: '");
		sb.append(wlsJndiActual);
		sb.append("WebLogic Application Name: '");
		sb.append(wlsApplicationName);
		sb.append("', Config JNDI Name: '");
		sb.append(cfgJndiName);
		sb.append("', M IP: '");
		sb.append(cfgIpAddress);
		sb.append("', M Port: '");
		sb.append(cfgPort);
		sb.append("'.");
		
		return sb.toString();
	}
}