/*
 * Created on Oct 20, 2003
 *
 */
package gov.va.med.vistalink.adapter.spi;

import gov.va.med.vistalink.adapter.record.VistaLinkRequestVOImpl;
import gov.va.med.xml.XmlUtilities;
import gov.va.med.exception.ExceptionUtils;
import gov.va.med.exception.FoundationsException;

import org.apache.log4j.Logger;
import org.apache.log4j.Priority;
import org.w3c.dom.Attr;
import org.w3c.dom.Node;

/**
 *
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */
public class VistaLinkCleanUpPartitionRequest extends VistaLinkRequestVOImpl {


	/**
	 * The logger used for this class
	 */
	private static final Logger logger =
		Logger.getLogger(VistaLinkInitSocketRequest.class);

	/**
	 * The xml request used for Cleanup Partition Request
	 */
	private static final String CLEANUPPARTITION_REQUEST =
		"<?xml version='1.0' encoding='utf-8' ?><VistaLink messageType='gov.va.med.foundations.vistalink.system.request' version='" + VistaLinkManagedConnectionFactory.ADAPTER_VERSION + "' mode='singleton' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='vlSimpleRequest.xsd'><Request type='cleanupPartition' environment=''></Request></VistaLink>";


	/**
	 * 
	 */
	protected VistaLinkCleanUpPartitionRequest(EMAdapterEnvironment adapterEnvironment) throws FoundationsException {
		try{
			this.requestDoc =
				XmlUtilities.getDocumentForXmlString(CLEANUPPARTITION_REQUEST);


			Node reqNode =
				XmlUtilities.getNode("/VistaLink/Request", this.requestDoc);

			Attr reqAdapterEnvironment = 
					XmlUtilities.getAttr(reqNode, "environment");
			if (adapterEnvironment != null) {
				reqAdapterEnvironment.setValue(adapterEnvironment.toString());
			}else{
				throw new FoundationsException("The adapter Environment is specified as null.");				
			}



		} catch (FoundationsException e) {
	
			if(logger.isEnabledFor(Priority.ERROR)){
					
				String errMsg = (new StringBuffer())
					.append(
					"Could not construct xml document")
					.append("\n\t")
					.append(ExceptionUtils
							.getFullStackTrace(e))
					.toString();
							
				logger.error(errMsg);
			}
			throw e;
		}
	
	}




}
