package gov.va.med.vistalink.rpc;

import gov.va.med.vistalink.adapter.record.VistaLinkFaultException;

/**
 * This exception represents the case where the requested RPC is not contained in the current
 * RPC context.
 * 
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */
public class RpcNotInContextFaultException extends RpcFaultException {

	/**
	 * Constructor for RpcNotInContextFaultException.
	 * @see gov.va.med.vistalink.adapter.record.VistaLinkFaultException#VistaLinkFaultException(VistaLinkFaultException)
	 * @param vistaLinkFaultException the exception to copy into a new exception type
	 * @va.exclude
	 */
	public RpcNotInContextFaultException(VistaLinkFaultException vistaLinkFaultException) {
		super(vistaLinkFaultException);
	}

}
