package gov.va.med.vistalink.security;

/**
 * If thrown, no reachable listener was found on the path represented by the specified IP address and Port. When
 * attempting a logon, you can trap for this specific exception, in addition to the more general
 * <code>VistaLoginModuleException</code> and <code>LoginException</code> exceptions.
 * 
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */
public final class VistaLoginModuleNoPathToListenerException extends VistaLoginModuleException {

	/**
	 * @param msg Exception message
	 * @see java.lang.Throwable#Throwable(String)
	 */
	VistaLoginModuleNoPathToListenerException(String msg) {
		super(msg);
	}

	/**
	 * 
	 * @param nestedException exception to nest in new VistaLoginModuleException
	 */
	VistaLoginModuleNoPathToListenerException(Throwable nestedException) {
		super(nestedException);
	}

	/**
	 * 
	 * @param msg String exception message
	 * @param nestedException exception to nest in new VistaLoginModuleException
	 */
	VistaLoginModuleNoPathToListenerException(String msg, Throwable nestedException) {
		super(msg, nestedException);
	}

}
