package gov.va.med.vistalink.samples;

import gov.va.med.environment.Environment;
import gov.va.med.environment.ServerType;
import gov.va.med.vistalink.adapter.cci.VistaLinkDuzConnectionSpec;

/**
 * Helper functions for the JSP pages.
 * 
 * @author Application Modernization - Foundations Team
 * @version 1.5.0.026
 */
public class JSPHelper {

	/**
	 * Return server type
	 * @return
	 */
	public static String getServerType() {
		String returnVal = null;
		try {
			returnVal = getServerTypeInternal();
		} catch (NoClassDefFoundError e) {
			returnVal = "<b>Warning: FoundationsLib classes do not appear to be loaded on the server classpath.</b>";
		}
		return returnVal;
	}

	/**
 	 * secondary method so we can catch NoClassDefFoundError 
	 * @return
	 */
	private static String getServerTypeInternal() {
		String returnVal = "[not specified]";
		ServerType serverType = Environment.getServerType();
		if (serverType != null) {
			returnVal = serverType.toString();
		}
		return returnVal;
	}

	
	/**
	 * Return production setting.
	 * @return
	 */
	public static String getProductionSetting() {
		String returnVal = null;
		try {
			returnVal = getProductionSettingInternal();
		} catch (NoClassDefFoundError e) {
			returnVal = "<b>Warning: FoundationsLib classes do not appear to be loaded on the server classpath.</b>";
		}
		return returnVal;
	}


	/**
 	 * secondary method so we can catch NoClassDefFoundError 
	 * @return
	 */
	private static String getProductionSettingInternal() {
		return Boolean.toString(Environment.isProduction());
	}

	/**
	 * Try to classLoad a connector class....
	 *
	 */
	public static String areConnectorClassesLoaded() {
		String returnVal = null;
		try {
			returnVal = areConnectorClassesLoadedInternal();
		} catch (NoClassDefFoundError e) {
			returnVal = "<b>Warning: Connector classes do not appear to be loaded on the server classpath.</b>";
		}
		return returnVal;
	}

	/**
	 * secondary method so we can catch NoClassDefFoundError 
	 * @return
	 */
	private static String areConnectorClassesLoadedInternal() {
		boolean returnVal = false;
		VistaLinkDuzConnectionSpec duzConnSpec = new VistaLinkDuzConnectionSpec();
		returnVal = true;
		return Boolean.toString(returnVal);
	}
	
}